#include "StdAfx.h"
#include "Bone.h"


namespace geom
{


lm::vec3f Bone::VertGolbalToLocal(const lm::vec3f& v) const
{
	return v * m_Offset;
}

void Bone::SetOffset(const lm::matrix4f& offset)
{
	m_Offset = offset;
}


Bone* BoneDeform::FindBone(const std::string& name)
{
	for (Bone& b : m_Bones)
	{
		if (b.m_Name == name)
			return &b;
	}

	return NULL;
}


}
